// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.30.0
// 	protoc        v3.21.9
// source: com/ruijc/storage/core/kernel/url.proto

package kernel

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// 地址
type Url struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// 连接方法
	Method string `protobuf:"bytes,3,opt,name=method,proto3" json:"method,omitempty"`
	// 连接地址
	Target string `protobuf:"bytes,4,opt,name=target,proto3" json:"target,omitempty"`
}

func (x *Url) Reset() {
	*x = Url{}
	if protoimpl.UnsafeEnabled {
		mi := &file_com_ruijc_storage_core_kernel_url_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Url) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Url) ProtoMessage() {}

func (x *Url) ProtoReflect() protoreflect.Message {
	mi := &file_com_ruijc_storage_core_kernel_url_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Url.ProtoReflect.Descriptor instead.
func (*Url) Descriptor() ([]byte, []int) {
	return file_com_ruijc_storage_core_kernel_url_proto_rawDescGZIP(), []int{0}
}

func (x *Url) GetMethod() string {
	if x != nil {
		return x.Method
	}
	return ""
}

func (x *Url) GetTarget() string {
	if x != nil {
		return x.Target
	}
	return ""
}

var File_com_ruijc_storage_core_kernel_url_proto protoreflect.FileDescriptor

var file_com_ruijc_storage_core_kernel_url_proto_rawDesc = []byte{
	0x0a, 0x27, 0x63, 0x6f, 0x6d, 0x2f, 0x72, 0x75, 0x69, 0x6a, 0x63, 0x2f, 0x73, 0x74, 0x6f, 0x72,
	0x61, 0x67, 0x65, 0x2f, 0x63, 0x6f, 0x72, 0x65, 0x2f, 0x6b, 0x65, 0x72, 0x6e, 0x65, 0x6c, 0x2f,
	0x75, 0x72, 0x6c, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x1d, 0x63, 0x6f, 0x6d, 0x2e, 0x72,
	0x75, 0x69, 0x6a, 0x63, 0x2e, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x2e, 0x63, 0x6f, 0x72,
	0x65, 0x2e, 0x6b, 0x65, 0x72, 0x6e, 0x65, 0x6c, 0x22, 0x35, 0x0a, 0x03, 0x55, 0x72, 0x6c, 0x12,
	0x16, 0x0a, 0x06, 0x6d, 0x65, 0x74, 0x68, 0x6f, 0x64, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x06, 0x6d, 0x65, 0x74, 0x68, 0x6f, 0x64, 0x12, 0x16, 0x0a, 0x06, 0x74, 0x61, 0x72, 0x67, 0x65,
	0x74, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x74, 0x61, 0x72, 0x67, 0x65, 0x74, 0x42,
	0x4e, 0x0a, 0x1d, 0x63, 0x6f, 0x6d, 0x2e, 0x72, 0x75, 0x69, 0x6a, 0x63, 0x2e, 0x73, 0x74, 0x6f,
	0x72, 0x61, 0x67, 0x65, 0x2e, 0x63, 0x6f, 0x72, 0x65, 0x2e, 0x6b, 0x65, 0x72, 0x6e, 0x65, 0x6c,
	0x50, 0x01, 0x5a, 0x2b, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x72,
	0x75, 0x69, 0x6a, 0x63, 0x2f, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x2f, 0x63, 0x6f, 0x72,
	0x65, 0x2f, 0x6b, 0x65, 0x72, 0x6e, 0x65, 0x6c, 0x3b, 0x6b, 0x65, 0x72, 0x6e, 0x65, 0x6c, 0x62,
	0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_com_ruijc_storage_core_kernel_url_proto_rawDescOnce sync.Once
	file_com_ruijc_storage_core_kernel_url_proto_rawDescData = file_com_ruijc_storage_core_kernel_url_proto_rawDesc
)

func file_com_ruijc_storage_core_kernel_url_proto_rawDescGZIP() []byte {
	file_com_ruijc_storage_core_kernel_url_proto_rawDescOnce.Do(func() {
		file_com_ruijc_storage_core_kernel_url_proto_rawDescData = protoimpl.X.CompressGZIP(file_com_ruijc_storage_core_kernel_url_proto_rawDescData)
	})
	return file_com_ruijc_storage_core_kernel_url_proto_rawDescData
}

var file_com_ruijc_storage_core_kernel_url_proto_msgTypes = make([]protoimpl.MessageInfo, 1)
var file_com_ruijc_storage_core_kernel_url_proto_goTypes = []interface{}{
	(*Url)(nil), // 0: com.ruijc.storage.core.kernel.Url
}
var file_com_ruijc_storage_core_kernel_url_proto_depIdxs = []int32{
	0, // [0:0] is the sub-list for method output_type
	0, // [0:0] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_com_ruijc_storage_core_kernel_url_proto_init() }
func file_com_ruijc_storage_core_kernel_url_proto_init() {
	if File_com_ruijc_storage_core_kernel_url_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_com_ruijc_storage_core_kernel_url_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Url); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_com_ruijc_storage_core_kernel_url_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   1,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_com_ruijc_storage_core_kernel_url_proto_goTypes,
		DependencyIndexes: file_com_ruijc_storage_core_kernel_url_proto_depIdxs,
		MessageInfos:      file_com_ruijc_storage_core_kernel_url_proto_msgTypes,
	}.Build()
	File_com_ruijc_storage_core_kernel_url_proto = out.File
	file_com_ruijc_storage_core_kernel_url_proto_rawDesc = nil
	file_com_ruijc_storage_core_kernel_url_proto_goTypes = nil
	file_com_ruijc_storage_core_kernel_url_proto_depIdxs = nil
}
